Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.management.deploy
Class DeploymentData

    java.lang.Object
      weblogic.management.deploy.DeploymentData

All Implemented Interfaces:
  Serializable

Deprecated. since WLS 9.0 . Use `WebLogicDeploymentManager`

public class DeploymentData
extends Object
implements Serializable

Describes the targets involved in an application deployment and other deployment options. DeploymentData objects are used when invoking deployments via the `DeployerRuntimeMBean` methods.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `CLUSTER` Deprecated. Target is a Cluster
`static int` | `JMSSERVER` Deprecated. Target is a JMS Server
`static int` | `SAFAGENT` Deprecated. Target is a SAF agent
`static int` | `SERVER` Deprecated. Target is a Server
`static String` | `STANDALONE_MODULE` Deprecated.
`static int` | `UNKNOWN` Deprecated. Target type is unknown either because it has not been set or is not available.
`static int` | `VIRTUALHOST` Deprecated. Target is a Virtual Host

Constructor Summary
`DeploymentData()` Deprecated. Creates empty DeploymentData object, one with no targets defined and no file list.
`DeploymentData(String[] files)` Deprecated. Creates DeploymentData object, with no targets defined and a file list.

Method Summary
`void` | `addGlobalTarget(String targetName)` Deprecated.
`void` | `addModuleTarget(String moduleName, String newtarget)` Deprecated.
`void` | `addModuleTargets(String moduleName, String[] newtargets)` Deprecated.
`void` | `addModuleToTarget(String target, String module)` Deprecated. Since 9.0. Use `addModuleTargets(java.lang.String, java.lang.String[])`
`void` | `addSubModuleTarget(String moduleName, String subModuleName, String[] newtargets)` Deprecated. Adds a target list specific to a submodule in a given module.
`void` | `addTarget(String target, String[] modules)` Deprecated. Since 9.0. Use `addTarget(java.lang.String, java.lang.String[])`, `setGlobalTargets(java.lang.String[])` or `addModuleTargets(java.lang.String, java.lang.String[])`
`void` | `addTargetsForComponent(weblogic.management.configuration.ApplicationMBean mbean, String compName)` Deprecated. Since 9.0. Use `addModuleTargets(java.lang.String, java.lang.String[])`
`void` | `addTargetsFromConfig(weblogic.management.configuration.BasicDeploymentMBean dmb)` Deprecated. Adds targets to this object based on contents of the config bean.
`Map` | `getAllModuleTargets()` Deprecated.
`Map` | `getAllSubModuleTargets()` Deprecated.
`Set` | `getAllTargetedServers(Set logicalTargets, weblogic.management.configuration.DomainMBean editDomain)` Deprecated.
`String` | `getAltDescriptorPath()` Deprecated.
`String` | `getAltWLSDescriptorPath()` Deprecated.
`boolean` | `getClusterConstraints()` Deprecated.
`String` | `getConfigDirectory()` Deprecated.
`boolean` | `getDelete()` Deprecated.
`DeploymentOptions` | `getDeploymentOptions()` Deprecated.
`String` | `getDeploymentPlan()` Deprecated.
`String[]` | `getFiles()` Deprecated. Returns the files specific to this deployment
`String[]` | `getGlobalTargets()` Deprecated. Returns a list of targets which apply to the whole deployable unit.
`String` | `getIntendedState()` Deprecated.
`String[]` | `getModules()` Deprecated. Since 9.0.
`String[]` | `getModulesForTarget(String target)` Deprecated. Since 9.0
`String[]` | `getModuleTargets(String moduleName)` Deprecated. Returns module specific targets for a given module.
`String` | `getRootDirectory()` Deprecated.
`String` | `getSecurityModel()` Deprecated.
`Map` | `getSubModuleTargets(String moduleName)` Deprecated.
`String[]` | `getTargets()` Deprecated. since 9.0 use `getGlobalTargets()` , #getModuleTargets or {@link #getSubModuleTargets}
`Set` | `getTargetsForModule(String module)` Deprecated. Since 9.0.
`int` | `getTargetType(String target)` Deprecated. Specifies the type of target involved.
`int` | `getTimeOut()` Deprecated. Timeout value (in milliseconds) used for 2 phase deployments.
`boolean` | `hasFiles()` Deprecated.
`boolean` | `hasGlobalTarget(String targetname)` Deprecated.
`boolean` | `hasModuleTargets()` Deprecated.
`boolean` | `hasSubModuleTargets()` Deprecated.
`boolean` | `hasTargets()` Deprecated.
`boolean` | `isLibrary()` Deprecated.
`boolean` | `isSecurityValidationEnabled()` Deprecated.
`boolean` | `isStandaloneModule()` Deprecated.
`void` | `setAltDescriptorPath(String dd)` Deprecated.
`void` | `setAltWLSDescriptorPath(String dd)` Deprecated.
`void` | `setClusterConstraints(boolean clusterConstraints)` Deprecated. Sets the attribute indicating if strict cluster constraints need to be enforced on clustered deployments.
`void` | `setConfigDirectory(String config)` Deprecated.
`void` | `setDelete(boolean deleteFlag)` Deprecated.
`void` | `setDeploymentOptions(DeploymentOptions opts)` Deprecated.
`void` | `setDeploymentPlan(String plan)` Deprecated.
`void` | `setFile(String[] files)` Deprecated. Indicates whether to add or remove files from the application's staging area.
`void` | `setFileTypes(String rootPath)` Deprecated.
`void` | `setGlobalTargets(String[] targetNames)` Deprecated.
`void` | `setIntendedState(String state)` Deprecated. Used internally to pass the apps intended state across to target server so it can update itself appropriately
`void` | `setLibrary(boolean isLibrary)` Deprecated.
`void` | `setPlanUpdate(boolean b)` Deprecated.
`void` | `setRootDirectory(String dir)` Deprecated.
`void` | `setSecurityModel(String model)` Deprecated.
`void` | `setSecurityValidationEnabled(boolean enable)` Deprecated.
`void` | `setTargetType(String target, int type)` Deprecated. Specifies the type of target involved.
`void` | `setTimeOut(int timeInMillis)` Deprecated. Overrides deployment timeout value.
`String` | `toString()` Deprecated. Constructs a String representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CLUSTER

    public static final int CLUSTER

  Deprecated.
  Target is a Cluster

  See Also:
    Constant Field Values

### JMSSERVER

    public static final int JMSSERVER

  Deprecated.
  Target is a JMS Server

  See Also:
    Constant Field Values

### SAFAGENT

    public static final int SAFAGENT

  Deprecated.
  Target is a SAF agent

  See Also:
    Constant Field Values

### SERVER

    public static final int SERVER

  Deprecated.
  Target is a Server

  See Also:
    Constant Field Values

### STANDALONE_MODULE

    public static final String STANDALONE_MODULE

  Deprecated.
  See Also:
    Constant Field Values

### UNKNOWN

    public static final int UNKNOWN

  Deprecated.
  Target type is unknown either because it has not been set or is not available.

  See Also:
    Constant Field Values

### VIRTUALHOST

    public static final int VIRTUALHOST

  Deprecated.
  Target is a Virtual Host

  See Also:
    Constant Field Values

Constructor Detail

### DeploymentData

    public DeploymentData()

  Deprecated.
  Creates empty DeploymentData object, one with no targets defined and no file list.

### DeploymentData

    public DeploymentData(String[] files)

  Deprecated.
  Creates DeploymentData object, with no targets defined and a file list.

Method Detail

### addGlobalTarget

    public void addGlobalTarget(String targetName)

  Deprecated.

### addModuleTarget

    public void addModuleTarget(String moduleName,
                                String newtarget)

  Deprecated.

### addModuleTargets

    public void addModuleTargets(String moduleName,
                                 String[] newtargets)

  Deprecated.

### addModuleToTarget

    public void addModuleToTarget(String target,
                                  String module)

  Deprecated. Since 9.0. Use `addModuleTargets(java.lang.String, java.lang.String[])`

  Adds a module name to an existing target in this object. The target name must already have been added to this object. If it is desired that all modules be involved in the deployment to the target, then there is no need to add module names as qualifiers to the target.

  Parameters:
    `target` - is the server, cluster, web server or virtual host to receive the module.
    `module` - is the name of the module to be deployed to this target.

### addSubModuleTarget

    public void addSubModuleTarget(String moduleName,
                                   String subModuleName,
                                   String[] newtargets)
                            throws IllegalArgumentException

  Deprecated.
  Adds a target list specific to a submodule in a given module.

  Parameters:
    `subModuleName` - Required. Must be non-null.
    `moduleName` - If this is null, it is assumed that there is only one module in this deployable unit, the deployable unit itself. And all submodules are part of it. Hence, either all submoduletargets should have a module name or none.
  Throws:
    `IllegalArgumentException` - When target list is empty or module names are specified in some targets and nto in others.

### addTarget

    public void addTarget(String target,
                          String[] modules)

  Deprecated. Since 9.0. Use `addTarget(java.lang.String, java.lang.String[])`, `setGlobalTargets(java.lang.String[])` or `addModuleTargets(java.lang.String, java.lang.String[])`

  Adds a target name to this object. The name must be the name of a server, cluster, web server or virtual host. Any number of targets may be added. Each target may be further qualified with module names via the modules parameter. If no modules are specified the deployment applies to all modules. e.g. for an activation, all modules in the application are deployed to the target. If modules are included, then the activation applies only to those modules for the specified target.

  Modules may also be added using the `addModuleToTarget(java.lang.String, java.lang.String)` method.

  Parameters:
    `target` - is the name of a server, cluster or virtual host. Virtual hosts are only valid for web deployments.
    `modules` - is an optional list of module names which are specifically targetted to the named target. A null value indicates all modules. An empty array implies no modules.

### addTargetsForComponent

    public void addTargetsForComponent(weblogic.management.configuration.ApplicationMBean mbean,
                                       String compName)
                                throws IllegalArgumentException

  Deprecated. Since 9.0. Use `addModuleTargets(java.lang.String, java.lang.String[])`

  Convenience method. Adds all targets for compName in the application mbean to this DeploymentData as targets for the given component.

  Parameters:
    `mbean` - is the application mbean containing the component
    `compName` - is the component whose targets will be added to this object
  Throws:
    `IllegalArgumentException`

### addTargetsFromConfig

    public void addTargetsFromConfig(weblogic.management.configuration.BasicDeploymentMBean dmb)

  Deprecated.
  Adds targets to this object based on contents of the config bean. This is useful for redeploy, undeploy bcos the default target set used in these is the current configuration. REVIEW schopra April-04 -- Eventually we should get rid of this bcos there should be no need to duplicate this data over to DeploymentData. The deployment code should just work off the bean or its copy.

  Parameters:
    `dmb` -

### getAllModuleTargets

    public Map getAllModuleTargets()

  Deprecated.
  Returns:
    a `Map`. Key = module name. Value = String[] of target names.

### getAllSubModuleTargets

    public Map getAllSubModuleTargets()

  Deprecated.
  Returns:
    key = modulename, val = submoduletarget map. For submoduletargetmap: key = submodulename, value= String[] targetNames

### getAllTargetedServers

    public Set getAllTargetedServers(Set logicalTargets,
                                     weblogic.management.configuration.DomainMBean editDomain)
                              throws weblogic.deploy.beans.factory.InvalidTargetException

  Deprecated.
  Throws:
    `weblogic.deploy.beans.factory.InvalidTargetException`

### getAltDescriptorPath

    public String getAltDescriptorPath()

  Deprecated.

### getAltWLSDescriptorPath

    public String getAltWLSDescriptorPath()

  Deprecated.

### getClusterConstraints

    public boolean getClusterConstraints()

  Deprecated.

### getConfigDirectory

    public String getConfigDirectory()

  Deprecated.

### getDelete

    public boolean getDelete()

  Deprecated.

### getDeploymentOptions

    public DeploymentOptions getDeploymentOptions()

  Deprecated.

### getDeploymentPlan

    public String getDeploymentPlan()

  Deprecated.

### getFiles

    public String[] getFiles()

  Deprecated.
  Returns the files specific to this deployment

### getGlobalTargets

    public String[] getGlobalTargets()

  Deprecated.
  Returns a list of targets which apply to the whole deployable unit.

### getIntendedState

    public String getIntendedState()

  Deprecated.

### getModules

    public String[] getModules()

  Deprecated. Since 9.0.

  Returns list of all modules, regardless of target. The list returned is based on what has been defined for this object and does not represent any configured state of an application.

### getModulesForTarget

    public String[] getModulesForTarget(String target)

  Deprecated. Since 9.0

  Returns list of modules for a particular target defined in this object. A null is returned if all modules configured in the associated application are to be involved in the deployment. An empty list implies that no modules are to be involved in the deployment to the target.

### getModuleTargets

    public String[] getModuleTargets(String moduleName)

  Deprecated.
  Returns module specific targets for a given module.

### getRootDirectory

    public String getRootDirectory()

  Deprecated.

### getSecurityModel

    public String getSecurityModel()

  Deprecated.

### getSubModuleTargets

    public Map getSubModuleTargets(String moduleName)

  Deprecated.
  Returns:
    instance of `Map` where Key = submodule name & Value = String[] containing target names.

### getTargets

    public String[] getTargets()

  Deprecated. since 9.0 use `getGlobalTargets()` , #getModuleTargets or {@link #getSubModuleTargets}

  Returns a list of targets (server, web server, virtual hosts and cluster names) An empty array indicates no targets, whereas a null return value implies all configured targets.

### getTargetsForModule

    public Set getTargetsForModule(String module)

  Deprecated. Since 9.0.

  Returns list of target names associated with a specific module. Targets may be servers, clusters or virtual hosts. An empty list is returned if a module has no targets for this deployment. The Set object returned is capable of remove operations.

### getTargetType

    public int getTargetType(String target)

  Deprecated.
  Specifies the type of target involved. Can be a cluster, server, web server or virtual host

  Parameters:
    `target` - is the name of the target being checked.

### getTimeOut

    public int getTimeOut()

  Deprecated.
  Timeout value (in milliseconds) used for 2 phase deployments. This value defaults to `ApplicationMBean.DEPLOYMENT_TIMEOUT`, but can be overriden with `setTimeOut(int)` method. Deployment tasks that remain running for more than this time are automatically cancelled, with their state becoming failed. For cluster deployments, this will result in a rollback of the entire deployment.

### hasFiles

    public boolean hasFiles()

  Deprecated.

### hasGlobalTarget

    public boolean hasGlobalTarget(String targetname)

  Deprecated.

### hasModuleTargets

    public boolean hasModuleTargets()

  Deprecated.

### hasSubModuleTargets

    public boolean hasSubModuleTargets()

  Deprecated.

### hasTargets

    public boolean hasTargets()

  Deprecated.

### isLibrary

    public boolean isLibrary()

  Deprecated.

### isSecurityValidationEnabled

    public boolean isSecurityValidationEnabled()

  Deprecated.

### isStandaloneModule

    public boolean isStandaloneModule()

  Deprecated.

### setAltDescriptorPath

    public void setAltDescriptorPath(String dd)

  Deprecated.

### setAltWLSDescriptorPath

    public void setAltWLSDescriptorPath(String dd)

  Deprecated.

### setClusterConstraints

    public void setClusterConstraints(boolean clusterConstraints)

  Deprecated.
  Sets the attribute indicating if strict cluster constraints need to be enforced on clustered deployments. If this attribute is set to 'true', any cluster that may be a target of a deployment needs to have all its servers be running for the deployment to succeed. Setting the attribute to 'false' will result in the deployment being attempted only on the servers that are reachable at the time of deployment from the Admin server. Any servers that have been shut down or are temporarily partitioned from the Admin server will retrieve the deployment during server startup or shortly after the the network partition is resolved.

### setConfigDirectory

    public void setConfigDirectory(String config)

  Deprecated.

### setDelete

    public void setDelete(boolean deleteFlag)

  Deprecated.

### setDeploymentOptions

    public void setDeploymentOptions(DeploymentOptions opts)

  Deprecated.

### setDeploymentPlan

    public void setDeploymentPlan(String plan)

  Deprecated.

### setFile

    public void setFile(String[] files)

  Deprecated.
  Indicates whether to add or remove files from the application's staging area. This only applies when a file list is included.

### setFileTypes

    public void setFileTypes(String rootPath)
                      throws FileNotFoundException

  Deprecated.
  Throws:
    `FileNotFoundException`

### setGlobalTargets

    public void setGlobalTargets(String[] targetNames)

  Deprecated.

### setIntendedState

    public void setIntendedState(String state)

  Deprecated.
  Used internally to pass the apps intended state across to target server so it can update itself appropriately

  Parameters:
    `state` -

### setLibrary

    public void setLibrary(boolean isLibrary)

  Deprecated.

### setPlanUpdate

    public void setPlanUpdate(boolean b)

  Deprecated.

### setRootDirectory

    public void setRootDirectory(String dir)

  Deprecated.

### setSecurityModel

    public void setSecurityModel(String model)
                          throws IllegalArgumentException

  Deprecated.
  Throws:
    `IllegalArgumentException`

### setSecurityValidationEnabled

    public void setSecurityValidationEnabled(boolean enable)

  Deprecated.

### setTargetType

    public void setTargetType(String target,
                              int type)

  Deprecated.
  Specifies the type of target involved. Can be a cluster, server, web server or virtual host

  Parameters:
    `target` - is the name of the target being updated.
    `type` - the type of the target.

### setTimeOut

    public void setTimeOut(int timeInMillis)

  Deprecated.
  Overrides deployment timeout value.

  See Also:
    `getTimeOut()`

### toString

    public String toString()

  Deprecated.
  Constructs a String representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD